#
# spec file for package perl-CPAN-Perl-Releases
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-CPAN-Perl-Releases
Version:        2.80
Release:        2.5
%define cpan_name CPAN-Perl-Releases
Summary:        Mapping Perl releases on CPAN to the location of the tarballs
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/CPAN-Perl-Releases/
Source0:        http://www.cpan.org/authors/id/B/BI/BINGOS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
CPAN::Perl::Releases is a module that contains the mappings of all 'perl'
releases that have been uploaded to CPAN to the 'authors/id/' path that the
tarballs reside in.

This is static data, but newer versions of this module will be made
available as new releases of 'perl' are uploaded to CPAN.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Thu Jun 23 2016 coolo@suse.com
- updated to 2.80
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sat May 28 2016 coolo@suse.com
- updated to 2.78
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Mon Apr 11 2016 coolo@suse.com
- updated to 2.62
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Wed Mar 23 2016 coolo@suse.com
- updated to 2.60
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sun Feb 21 2016 coolo@suse.com
- updated to 2.58
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Wed Jan 27 2016 coolo@suse.com
- updated to 2.56
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sat Dec 26 2015 coolo@suse.com
- updated to 2.54
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Tue Dec 15 2015 coolo@suse.com
- updated to 2.52
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Wed Dec  9 2015 coolo@suse.com
- updated to 2.50
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sat Dec  5 2015 coolo@suse.com
- updated to 2.48
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Tue Nov 24 2015 coolo@suse.com
- updated to 2.46
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Mon Nov 16 2015 coolo@suse.com
- updated to 2.44
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Fri Nov  6 2015 coolo@suse.com
- updated to 2.42
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Wed Oct 21 2015 coolo@suse.com
- updated to 2.40
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Mon Sep 21 2015 coolo@suse.com
- updated to 2.38
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Mon Sep 14 2015 coolo@suse.com
- updated to 2.36
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sun Aug 30 2015 coolo@suse.com
- updated to 2.34
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sun Aug 23 2015 coolo@suse.com
- updated to 2.32
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Tue Jul 21 2015 coolo@suse.com
- updated to 2.28
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Tue Jun 30 2015 coolo@suse.com
- updated to 2.26
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Mon Jun 22 2015 coolo@suse.com
- updated to 2.24
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Sun Jun  7 2015 coolo@suse.com
- updated to 2.22
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Wed May 20 2015 coolo@suse.com
- updated to 2.16
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Tue Apr 21 2015 coolo@suse.com
- updated to 2.14
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Thu Apr 16 2015 coolo@suse.com
- updated to 2.12
  see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
* Mon Sep 15 2014 coolo@suse.com
- updated to 1.86
  Updated for v5.20.1
* Fri Mar  7 2014 coolo@suse.com
- updated to 1.64
  Updated for v5.19.9
* Mon Dec  9 2013 coolo@suse.com
- updated to 1.52
    Updated for v5.18.2-RC2
* Mon Nov 25 2013 coolo@suse.com
- updated to 1.48
    Updated for v5.19.6
* Fri Oct  4 2013 coolo@suse.com
- updated to 1.44, see Changes
* Sun Aug  4 2013 coolo@suse.com
- updated to 1.28
    tools/findlinks.pl: sort releases in the generated code
    No impact on runtime. This is just a cosmetic change to make the
    Releases.pm source easier to read for humans.
* Wed Jul 24 2013 coolo@suse.com
- updated to 1.26
  Update for v5.19.2
* Tue Jul 16 2013 coolo@suse.com
- updated to 1.24
    Updated for v5.19.1
    add sub 'perl_versions' that returns the list of versions supported
    by the module
    add tests for perl_versions sub
    add perl_versions function returning list of perl versions known to
    the module
* Mon Jun  3 2013 coolo@suse.com
- updated to 1.22, tons of stupid git commits
* Tue Feb 21 2012 coolo@suse.com
- initial package 0.44
  * created by cpanspec 1.78.06
